SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - e -

- ExportSelectionSetOnly() : SketchUpModelExporterInterface
- SUEdgeCreate() : SUEdgeRef
- SUEdgeFromDrawingElement() : SUEdgeRef
- SUEdgeFromEntity() : SUEdgeRef
- SUEdgeGetColor() : SUEdgeRef
- SUEdgeGetCurve() : SUEdgeRef
- SUEdgeGetEndVertex() : SUEdgeRef
- SUEdgeGetFaces() : SUEdgeRef
- SUEdgeGetLengthWithTransform() : SUEdgeRef
- SUEdgeGetNumFaces() : SUEdgeRef
- SUEdgeGetSmooth() : SUEdgeRef
- SUEdgeGetSoft() : SUEdgeRef
- SUEdgeGetStartVertex() : SUEdgeRef
- SUEdgeRelease() : SUEdgeRef
- SUEdgeReversedInFace() : SUEdgeRef
- SUEdgeSetColor() : SUEdgeRef
- SUEdgeSetSmooth() : SUEdgeRef
- SUEdgeSetSoft() : SUEdgeRef
- SUEdgeToDrawingElement() : SUEdgeRef
- SUEdgeToEntity() : SUEdgeRef
- SUEdgeUseFromEntity() : SUEdgeUseRef
- SUEdgeUseGetEdge() : SUEdgeUseRef
- SUEdgeUseGetEndVertex() : SUEdgeUseRef
- SUEdgeUseGetEndVertexNormal() : SUEdgeUseRef
- SUEdgeUseGetFace() : SUEdgeUseRef
- SUEdgeUseGetLoop() : SUEdgeUseRef
- SUEdgeUseGetNext() : SUEdgeUseRef
- SUEdgeUseGetNumPartners() : SUEdgeUseRef
- SUEdgeUseGetPartners() : SUEdgeUseRef
- SUEdgeUseGetPrevious() : SUEdgeUseRef
- SUEdgeUseGetStartVertex() : SUEdgeUseRef
- SUEdgeUseGetStartVertexNormal() : SUEdgeUseRef
- SUEdgeUseIsReversed() : SUEdgeUseRef
- SUEdgeUseToEntity() : SUEdgeUseRef
- SUEntitiesAddArcCurves() : SUEntitiesRef
- SUEntitiesAddCurves() : SUEntitiesRef
- SUEntitiesAddDimensions() : SUEntitiesRef
- SUEntitiesAddEdges() : SUEntitiesRef
- SUEntitiesAddFaces() : SUEntitiesRef
- SUEntitiesAddGroup() : SUEntitiesRef
- SUEntitiesAddGuideLines() : SUEntitiesRef
- SUEntitiesAddGuidePoints() : SUEntitiesRef
- SUEntitiesAddImage() : SUEntitiesRef
- SUEntitiesAddInstance() : SUEntitiesRef
- SUEntitiesAddSectionPlanes() : SUEntitiesRef
- SUEntitiesAddTexts() : SUEntitiesRef
- SUEntitiesClear() : SUEntitiesRef
- SUEntitiesEntityListFill() : SUEntitiesRef
- SUEntitiesErase() : SUEntitiesRef
- SUEntitiesFill() : SUEntitiesRef
- SUEntitiesGetActiveSectionPlane() : SUEntitiesRef
- SUEntitiesGetArcCurves() : SUEntitiesRef
- SUEntitiesGetBoundingBox() : SUEntitiesRef
- SUEntitiesGetBoundingBoxLLA() : SUEntitiesRef
- SUEntitiesGetCurves() : SUEntitiesRef
- SUEntitiesGetDimensions() : SUEntitiesRef
- SUEntitiesGetEdges() : SUEntitiesRef
- SUEntitiesGetFaces() : SUEntitiesRef
- SUEntitiesGetGroups() : SUEntitiesRef
- SUEntitiesGetGuideLines() : SUEntitiesRef
- SUEntitiesGetGuidePoints() : SUEntitiesRef
- SUEntitiesGetImages() : SUEntitiesRef
- SUEntitiesGetInstances() : SUEntitiesRef
- SUEntitiesGetNumArcCurves() : SUEntitiesRef
- SUEntitiesGetNumCurves() : SUEntitiesRef
- SUEntitiesGetNumDimensions() : SUEntitiesRef
- SUEntitiesGetNumEdges() : SUEntitiesRef
- SUEntitiesGetNumFaces() : SUEntitiesRef
- SUEntitiesGetNumGroups() : SUEntitiesRef
- SUEntitiesGetNumGuideLines() : SUEntitiesRef
- SUEntitiesGetNumGuidePoints() : SUEntitiesRef
- SUEntitiesGetNumImages() : SUEntitiesRef
- SUEntitiesGetNumInstances() : SUEntitiesRef
- SUEntitiesGetNumPolyline3ds() : SUEntitiesRef
- SUEntitiesGetNumSectionPlanes() : SUEntitiesRef
- SUEntitiesGetNumTexts() : SUEntitiesRef
- SUEntitiesGetParent() : SUEntitiesRef
- SUEntitiesGetPolyline3ds() : SUEntitiesRef
- SUEntitiesGetSectionPlanes() : SUEntitiesRef
- SUEntitiesGetTexts() : SUEntitiesRef
- SUEntitiesHasSectionCuts() : SUEntitiesRef
- SUEntitiesIsRecursivelyEmpty() : SUEntitiesRef
- SUEntitiesSetActiveSectionPlane() : SUEntitiesRef
- SUEntitiesTransform() : SUEntitiesRef
- SUEntitiesTransformMultiple() : SUEntitiesRef
- SUEntitiesWeld() : SUEntitiesRef
- SUEntityAddAttributeDictionary() : SUEntityRef
- SUEntityGetAttributeDictionaries() : SUEntityRef
- SUEntityGetAttributeDictionary() : SUEntityRef
- SUEntityGetID() : SUEntityRef
- SUEntityGetModel() : SUEntityRef
- SUEntityGetNumAttributeDictionaries() : SUEntityRef
- SUEntityGetParentEntities() : SUEntityRef
- SUEntityGetPersistentID() : SUEntityRef
- SUEntityGetType() : SUEntityRef
- SUEntityListBegin() : SUEntityListRef
- SUEntityListCreate() : SUEntityListRef
- SUEntityListIteratorCreate() : SUEntityListIteratorRef
- SUEntityListIteratorGetEntity() : SUEntityListIteratorRef
- SUEntityListIteratorIsInRange() : SUEntityListIteratorRef
- SUEntityListIteratorNext() : SUEntityListIteratorRef
- SUEntityListIteratorRelease() : SUEntityListIteratorRef
- SUEntityListRelease() : SUEntityListRef
- SUEntityListSize() : SUEntityListRef
- SUEnvironmentCreateFromFile() : SUEnvironmentRef
- SUEnvironmentFromEntity() : SUEnvironmentRef
- SUEnvironmentGetDescription() : SUEnvironmentRef
- SUEnvironmentGetLinkedSun() : SUEnvironmentRef
- SUEnvironmentGetLinkedSunPosition() : SUEnvironmentRef
- SUEnvironmentGetName() : SUEnvironmentRef
- SUEnvironmentGetReflectionExposure() : SUEnvironmentRef
- SUEnvironmentGetRotation() : SUEnvironmentRef
- SUEnvironmentGetSkydomeExposure() : SUEnvironmentRef
- SUEnvironmentGetThumbnail() : SUEnvironmentRef
- SUEnvironmentGetUseAsSkydome() : SUEnvironmentRef
- SUEnvironmentGetUseForReflections() : SUEnvironmentRef
- SUEnvironmentRelease() : SUEnvironmentRef
- SUEnvironmentsAdd() : SUEnvironmentsRef
- SUEnvironmentSetDescription() : SUEnvironmentRef
- SUEnvironmentSetLinkedSun() : SUEnvironmentRef
- SUEnvironmentSetLinkedSunPosition() : SUEnvironmentRef
- SUEnvironmentSetName() : SUEnvironmentRef
- SUEnvironmentSetReflectionExposure() : SUEnvironmentRef
- SUEnvironmentSetRotation() : SUEnvironmentRef
- SUEnvironmentSetSkydomeExposure() : SUEnvironmentRef
- SUEnvironmentSetUseAsSkydome() : SUEnvironmentRef
- SUEnvironmentSetUseForReflections() : SUEnvironmentRef
- SUEnvironmentsGetAll() : SUEnvironmentsRef
- SUEnvironmentsGetCount() : SUEnvironmentsRef
- SUEnvironmentsGetEnvironmentByName() : SUEnvironmentsRef
- SUEnvironmentsGetEnvironmentByPersistentID() : SUEnvironmentsRef
- SUEnvironmentsGetSelectedEnvironment() : SUEnvironmentsRef
- SUEnvironmentsRemove() : SUEnvironmentsRef
- SUEnvironmentToEntity() : SUEnvironmentRef
- SUEnvironmentWriteHDRImageToFile() : SUEnvironmentRef
- SUEnvironmentWriteToFile() : SUEnvironmentRef